<div class="login-section">
    <div class="row justify-content-center">
        <div class="col-md-3"></div>
        <div class="col-md-6">
            <div class="card">
                <div class="card-header" style="text-align: center"><h4>Login</h4></div>
                <div class="card-body">
                    <form [formGroup]="loginForm" (ngSubmit)="login()">
                        <div class="form-group row">
                            <label for="user_name" class="col-md-4 col-form-label text-md-right">Username</label>
                            <div class="col-md-6">
                                <input type="text" id="user_name" class="form-control" [formControlName]="'username'" name="user_name" required
                                    autofocus>
                                <span *ngIf="!loginForm.get('username').valid && loginForm.get('username').touched">
                                   Please provide a valid username
                                </span>                                    
                            </div>
                        </div>
 
                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">Password</label>
                            <div class="col-md-6">
                                <input type="password" id="password" class="form-control" [formControlName]="'password'" name="password" required>
                                <span *ngIf="!loginForm.get('password').valid && loginForm.get('password').touched">
                                  Password cannot be empty
                                </span>                                
                            </div>
                        </div>
 
                        <span class="col-md-6 offset-md-4">
                            <button type="submit" class="login">
                                Login
                            </button>
                            <span style="padding-left: 15px">New User? <a routerLink="/signup">SIGN UP</a></span>
                        </span>   
                        <div class="login-failed" *ngIf='this.isError'>
                             <p class="login-failed-text">Login Failed. Please check your credentials and try again.</p>   
                        </div>
                        <div class="login-failed" [ngStyle]="{'background-color': 'green'}" >
                            <p class="register-success-text">{{registerSuccessMessage}}</p>   
                       </div>                       
                    </form>
                </div>
            </div>
        </div>
        <div class="col-md-3"></div>
    </div>
</div>